Saltar al contenido
Guías
Pagos y finanzasFacturación
billing:manage

Confirmar un checkout de facturación

POST/v1/billing/current/checkouts/{sessionId}/confirm

Confirmar un checkout de facturación. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

sessionId*string

Parámetros de cabecera

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/billing/current/checkouts/7204558912004325301/confirm" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "token": "replace_with_the_issued_token",    "paymentMethodId": "7204558912004325301",    "installments": 1,    "issuerId": "7204558912004325301",    "identificationType": "example",    "identificationNumber": "example",    "payerEmail": "andrea@example.com",    "useSavedPaymentMethod": false  }'
{  "sessionId": "7204558912004325301",  "kind": "planPurchase",  "status": "pending",  "paymentProvider": "example",  "externalResourceUrl": "https://example.com/resource",  "qrCode": "example_code",  "reference": "example",  "expiresAt": "2026-08-01T15:30:00Z"}